var __extends = (this && this.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
import { Directive, ElementRef, Input, Renderer2 } from '@angular/core';
import { BootstrapVisibleDirective } from '../bootstrap/bootstrap-visible.directive';
import { BootstrapDirective } from '../bootstrap/bootstrap.directive';
import { ApplyMixins } from '../helper/applyMixins';
var InputGroupAddonDirective = (function (_super) {
    __extends(InputGroupAddonDirective, _super);
    function InputGroupAddonDirective(r, er) {
        return _super.call(this, r, er, ['input-group-addon'], ['SPAN']) || this;
    }
    return InputGroupAddonDirective;
}(BootstrapDirective));
export { InputGroupAddonDirective };
InputGroupAddonDirective.decorators = [
    { type: Directive, args: [{ selector: '[upeInputGroupAddon]' },] },
];
/** @nocollapse */
InputGroupAddonDirective.ctorParameters = function () { return [
    { type: Renderer2, },
    { type: ElementRef, },
]; };
InputGroupAddonDirective.propDecorators = {
    'visible': [{ type: Input, args: ['upeInputGroupAddon',] },],
};
ApplyMixins(InputGroupAddonDirective, [BootstrapVisibleDirective]);
//# sourceMappingURL=input-group-addon.directive.js.map