var __extends = (this && this.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
import { Directive, ElementRef, Input, Renderer2 } from '@angular/core';
import { BootstrapVisibleDirective } from '../bootstrap/bootstrap-visible.directive';
import { BootstrapDirective } from '../bootstrap/bootstrap.directive';
import { ApplyMixins } from '../helper/applyMixins';
var ControlLabelDirective = (function (_super) {
    __extends(ControlLabelDirective, _super);
    function ControlLabelDirective(r, er) {
        return _super.call(this, r, er, ['control-label'], ['LABEL']) || this;
    }
    return ControlLabelDirective;
}(BootstrapDirective));
export { ControlLabelDirective };
ControlLabelDirective.decorators = [
    { type: Directive, args: [{ selector: '[upeControlLabel]' },] },
];
/** @nocollapse */
ControlLabelDirective.ctorParameters = function () { return [
    { type: Renderer2, },
    { type: ElementRef, },
]; };
ControlLabelDirective.propDecorators = {
    'visible': [{ type: Input, args: ['upeControlLabel',] },],
};
ApplyMixins(ControlLabelDirective, [BootstrapVisibleDirective]);
//# sourceMappingURL=control-label.directive.js.map